PARCHIVE(1)

NAME
parchive - RAID like data recovery for PAR ver 1.0 files

DESCRIPTION
The idea behind the parchive is to provide a tool to apply the data-recovery capability concepts of RAID-like systems to the posting and recovery of multi-part archives on Usenet. Current filespec and clients support the 'Reed-Soloman Code' implementation that allows for recovery of any 'X' volumes for 'X' parity volumes present. The key to this mission is a clean file format specification which provides all the necessary capabilities for programs to easily verify and regenerate single missing parts out of a set of archives. We might just be able to make binary posting and downloading on Usenet a little easier. That's a pretty cool goal! Note that parchive supports the old legacy version 1.0 PAR format. For new projects, use the par2 package which supports the version 2.0 PAR format which provides superior features. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

USAGE

parchive c(heck) [options] <par file>
    Check parity archive

parchive r(ecover) [options] <par file>
    Restore missing volumes

parchive a(dd) [options] <par file> [files]
    Add files to parity archive

parchive m(ix) [options]
    Try to restore from all parity files at once

parchive i(nteractive) [<par files>]
    Interactive mode (very bare-bones)

Options: (Can be turned off with '+')

-m  Move existing files out of the way

-f  Fix faulty filenames

-p<n>
    Number of files per parity volume

-n<n>
    Number of parity volumes to create

-d  Search for duplicate files

-k  Keep broken files

-s  Be smart if filenames are consistently different.

+i  Do not add following files to parity volumes

+c  Do not create parity volumes

+C  Ignore case in filename comparisons

+H  Do not check control hashes

-v,+v
    Increase or decrease verbosity

-h,-?
    Display this help

--  Always treat following arguments as files

SEE ALSO
The full documentation (such as it is) for parchive is maintained on the web site at <http://sourceforge.net/docman/display_doc.php?docid=7717&group_id=30568>

AUTHOR
This manual page was written by Rene Weber <rene_debmaint@elvenlord.com>, and edited by Vince Mulhollon <vlm@debian.org>, for the Debian GNU/Linux system (but may be used by others).